Mozilla Firefox < 57.0.4 Speculative Execution Side-Channel Attack Vulnerability (Spectre) (macOS)

Medium Nessus Plugin ID 105615


A web browser installed on the remote macOS or Mac OS X host is affected by a speculative execution side-channel attack vulnerability.


The version of Mozilla Firefox installed on the remote macOS or Mac OS X host is prior to 57.0.4. It is, therefore, vulnerable to a speculative execution side-channel attack. Code from a malicious web page could read data from other web sites or private data from the browser itself.


Upgrade to Mozilla Firefox version 57.0.4 or later.

See Also

Plugin Details

Severity: Medium

ID: 105615

File Name: macosx_firefox_57_0_4.nasl

Version: $Revision: 1.3 $

Type: local

Agent: macosx

Published: 2018/01/05

Modified: 2018/01/11

Dependencies: 55417

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:F/RL:ND/RC:ND


Base Score: 4.3

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N

Vulnerability Information

CPE: cpe:/a:mozilla:firefox

Required KB Items: MacOSX/Firefox/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2018/01/04

Vulnerability Publication Date: 2018/01/04

Reference Information

CVE: CVE-2017-5753, CVE-2017-5715

BID: 102376, 102371

OSVDB: 171897

MFSA: 2018-01

IAVA: 2018-A-0020